#
# spec file for package perl-Net-DNS-Resolver-Programmable
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Net-DNS-Resolver-Programmable
Version:        0.009
Release:        1.30
%define cpan_name Net-DNS-Resolver-Programmable
Summary:        Programmable Dns Resolver Class for Offline
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-DNS-Resolver-Programmable/
Source0:        https://cpan.metacpan.org/authors/id/B/BI/BIGPRESH/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Net::DNS) >= 0.69
Requires:       perl(Net::DNS) >= 0.69
%{perl_requires}

%description
*Net::DNS::Resolver::Programmable* is a *Net::DNS::Resolver* descendant
class that allows a virtual DNS to be emulated instead of querying the real
DNS. A set of static DNS records may be supplied, or arbitrary code may be
specified as a means for retrieving DNS records, or even generating them on
the fly.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc CHANGES README TODO
%license LICENSE

%changelog
* Tue Jul 25 2017 coolo@suse.com
- updated to 0.009
  see /usr/share/doc/packages/perl-Net-DNS-Resolver-Programmable/CHANGES
  - -- 0.009 (2017-07-24)
    + Cleaner way to handle both arrays of strings and Net::DNS::Packet objects,
    courtesy of NLNETLABS (Dick Franks) in RT 122542 - thanks!
    + Extend tests to cover non-mocked queries too
  - -- 0.008 (2017-07-21)
  * Add Scalar::Util to deps
  - -- 0.007 (2017-07-19)
  * Fix handling pre-prepared ::Packet objects passed to send()
    + Additional tests
- remove Net-DNS-Resolver-Net-DNS-0.75.patch
* Mon Jul 17 2017 coolo@suse.com
- updated to 0.006
  see /usr/share/doc/packages/perl-Net-DNS-Resolver-Programmable/CHANGES
  - -- 0.006 (2017-07-16)
  * Don't demand 5.10, work on perl >= 5.6
  * No taint mode flag in t/01-basic.t
  * Avoid problems with our $VERSION = '...' on one line
    All these courtesy of Dick Franks (rwfranks) - thanks!
* Fri Jul 14 2017 coolo@suse.com
- updated to 0.005
  see /usr/share/doc/packages/perl-Net-DNS-Resolver-Programmable/CHANGES
  - -- 0.005 (2017-07-13)
  * Remove debian/ subdir as per RT #108522
  * Regenerate README via pod2readme
  * Fix version number in changelog entry below - d'oh - and remove
    use of deprecated qv()
  * Import rcode list from Net::DNS - RT 96390
  - -- 0.004 (2017-07-13)
  * BIGPRESH taking over maintainership of this seemingly orphaned but
    very useful distribution.  Plan to fix various RT tickets.
  * Fix RT 109266 - avoid deprecated make_query_packet() call
* Mon Dec 29 2014 dimstar@opensuse.org
- Add Net-DNS-Resolver-Net-DNS-0.75.patch: Deal with changes in
  Net::DNS 0.75.
  https://rt.cpan.org/Public/Bug/Display.html?id=95901
* Wed Dec  1 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Apr  7 2010 chris@computersalat.de
- initial package 0.003
